
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;

public class Player3Boutons extends JFrame{
	
	Son mabite = new Son("JCAC.wav");
	
	private JButton Play;
	private JButton Pause;
	private JButton Stop;
	private boolean playstate = false;
	private boolean pausestate = false;
	private boolean stopstate = true;
	
	public Player3Boutons() {
		
			this.setLayout(new GridLayout(1,3));
		
			Play = new JButton(new ImageIcon("play.jpg"));
			Play.setPressedIcon(new ImageIcon("play_pressed.jpg"));
			Play.addActionListener((
					new ActionListener () {
						public void actionPerformed ( ActionEvent e) {
							
							if (stopstate)
							{
								//play music
								Play.setIcon(new ImageIcon("play_disabled.jpg"));
								Play.setPressedIcon(new ImageIcon("play_disabled.jpg"));
								
								Pause.setIcon(new ImageIcon("pause.jpg"));
								Pause.setPressedIcon(new ImageIcon("pause_pressed.jpg"));
								
								Stop.setIcon(new ImageIcon("stop.jpg"));
								Stop.setPressedIcon(new ImageIcon("stop_pressed.jpg"));
								
								playstate = true;
								stopstate = false;
								mabite.start();
							}
							
							if (pausestate)
							{
								playstate = true;
								pausestate = false;
								//resume music
								
								Play.setIcon(new ImageIcon("play_disabled.jpg"));
								Play.setPressedIcon(new ImageIcon("play_disabled.jpg"));
								
								Pause.setIcon(new ImageIcon("pause.jpg"));
								Pause.setPressedIcon(new ImageIcon("pause_pressed.jpg"));
								mabite.resume();
								
								
							}
							
						}
					}
					));
			add(Play);
			
			Pause = new JButton(new ImageIcon("pause_disabled.jpg"));
			Pause.setPressedIcon(new ImageIcon("pause_disabled.jpg"));
			Pause.addActionListener((
					new ActionListener () {
						public void actionPerformed ( ActionEvent e) {
							
							if (playstate)
							{
								//pause music
								playstate = false;
								stopstate = false;
								pausestate = true;
								
								Play.setIcon(new ImageIcon("play.jpg"));
								Play.setPressedIcon(new ImageIcon("play_pressed.jpg"));
								
								Pause.setIcon(new ImageIcon("pause_disabled.jpg"));
								Pause.setPressedIcon(new ImageIcon("pause_disabled.jpg"));
							
								Stop.setIcon(new ImageIcon("stop.jpg"));
								Stop.setPressedIcon(new ImageIcon("stop_pressed.jpg"));
								mabite.suspend();
	
							}
							
							
						}
					}
					));
			add(Pause);
			
			Stop = new JButton(new ImageIcon("stop_disabled.jpg"));
			Stop.setPressedIcon(new ImageIcon("stop_disabled.jpg"));
			Stop.addActionListener((
					new ActionListener () {
						public void actionPerformed ( ActionEvent e) {
							
							if (playstate || pausestate)
							{
								//stop music
								playstate = false;
								stopstate = true;
								pausestate = false;
								
								Play.setIcon(new ImageIcon("play.jpg"));
								Play.setPressedIcon(new ImageIcon("play_pressed.jpg"));
								
								Pause.setIcon(new ImageIcon("pause_disabled.jpg"));
								Pause.setPressedIcon(new ImageIcon("pause_disabled.jpg"));
								
								Stop.setIcon(new ImageIcon("stop_disabled.jpg"));
								Stop.setPressedIcon(new ImageIcon("stop_disabled.jpg"));
								mabite.stop();
							}
						}
					}
					));
			add(Stop);
			
			this.pack();
			this.setVisible(true);
			this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}



}